GNU bug report logs - #25115
26.0.50; ibuffer fails to show confirmation buffer when there are side windows

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Liu Hui <liuhui1610@HIDDEN>; dated Mon, 5 Dec 2016 03:29:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 25115 <at> debbugs.gnu.org:


Received: (at 25115) by debbugs.gnu.org; 6 Dec 2016 22:45:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 06 17:45:26 2016
Received: from localhost ([127.0.0.1]:58563 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cEOUI-0005Ez-5Q
	for submit <at> debbugs.gnu.org; Tue, 06 Dec 2016 17:45:26 -0500
Received: from mail-pf0-f195.google.com ([209.85.192.195]:36677)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tino.calancha@HIDDEN>) id 1cEOUG-0005Em-2K
 for 25115 <at> debbugs.gnu.org; Tue, 06 Dec 2016 17:45:24 -0500
Received: by mail-pf0-f195.google.com with SMTP id c4so19324235pfb.3
 for <25115 <at> debbugs.gnu.org>; Tue, 06 Dec 2016 14:45:23 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:date:to:cc:subject:in-reply-to:message-id:references
 :user-agent:mime-version;
 bh=iVbMH+lfTBnfp9Yzm+pIFc7EeWrrnME6yQHmzMPO+FA=;
 b=VgWc58xzzSbemRZXJzWgFukD81igL4mMrfLHWt9n0oEae5WTHcMgSm6GvKJc9H709p
 OWPnuB6uM2/LLrU7vrNVUxScga7lJEWCBuvmN6s8x06ygCPjD/diICrU27BFyFhP690P
 KOUnF8JsV09HCZdimBznqG38ma8+DAp9DLJdhQt8qDcEip59eDzxp+tTGUVZAh894Ije
 GfDUKP+JsTTFjPhhpcwayRk75ruYw4Mawzw4x2FRxk5iQqJh+JmVX+Ac5evyd0ILHntH
 ChUzSHSTPm24fpdm2kJ1h5W8dj7OIPm9zgzIVJBzlx4VFCqIORqm0srExHCZBm7+xNZe
 1O8g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:date:to:cc:subject:in-reply-to:message-id
 :references:user-agent:mime-version;
 bh=iVbMH+lfTBnfp9Yzm+pIFc7EeWrrnME6yQHmzMPO+FA=;
 b=Ks0KDRpyEF4QA1UhbuzFSCa7hjTYq+HLuiL3xAKzsbfFy0GqzfoNZ04I+bjEBdJ3Ik
 ohpnbrgy779f1gQhQySmKwZydwMHvJrAiaX49CG1b/OgMeMSLt48R0ViR3kxP/TAOag1
 7CuSwA4FAYyUyVjPubUC/HMdz4KyNsYx4KcYF0L+HIvNYG3paXMMM5rbHhY5dWZ2salv
 bUr+EVhC2+F8AZz22TqVhFYAwKnhUuoXj06IPyxXlcmKs5Af5xeEBIk9V0jzNmBKGH4O
 XAklO8EoMBhvKyDiIAoFBE3fiUQ48EyqlVJ473jAsn55oyuTJ80Do+p9k6A8NfbNzQLC
 dpvw==
X-Gm-Message-State: AKaTC03dJLboUl2Q8aDtTb3lezl5bid0v5VwwKyK4FUzR3NevAD6xjpWoo6kP7umXxTAVw==
X-Received: by 10.98.160.29 with SMTP id r29mr66296735pfe.103.1481064318036;
 Tue, 06 Dec 2016 14:45:18 -0800 (PST)
Received: from calancha-pc (pl676.nas813.p-iwate.nttpc.ne.jp.
 [124.154.237.164])
 by smtp.gmail.com with ESMTPSA id c8sm37225220pfe.15.2016.12.06.14.45.15
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 06 Dec 2016 14:45:17 -0800 (PST)
From: Tino Calancha <tino.calancha@HIDDEN>
X-Google-Original-From: Tino Calancha <calancha@HIDDEN>
Date: Wed, 7 Dec 2016 07:45:14 +0900 (JST)
X-X-Sender: calancha@calancha-pc
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#25115: 26.0.50; ibuffer fails to show confirmation buffer
 when there are side windows
In-Reply-To: <5846CB0F.5010907@HIDDEN>
Message-ID: <alpine.DEB.2.20.1612070742580.1921@calancha-pc>
References: <921d3030-33fa-b1df-1fa9-d2a3e9b1c56b@HIDDEN>
 <584517C7.8040604@HIDDEN> <d0790209-000a-ea3a-d279-f04d5b0b65d8@HIDDEN>
 <58453E86.3060206@HIDDEN> <87shq25s7j.fsf@HIDDEN> <584594B6.4010400@HIDDEN>
 <87bmwp5pge.fsf@HIDDEN> <5846CB0F.5010907@HIDDEN>
User-Agent: Alpine 2.20 (DEB 67 2015-01-07)
MIME-Version: 1.0
Content-Type: multipart/mixed; BOUNDARY="8323329-1964627426-1481064317=:1921"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 25115
Cc: 25115 <at> debbugs.gnu.org, Liu Hui <liuhui1610@HIDDEN>,
 Mark Oteiza <mvoteiza@HIDDEN>, Tino Calancha <tino.calancha@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

--8323329-1964627426-1481064317=:1921
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8BIT



On Tue, 6 Dec 2016, martin rudalics wrote:

>> Your patch has perfect sense to me.  Indeed i wrote an almost identical
>> fix but you were faster than me.
>
> Damn.  Next time I'll wait a day or two :-(
>
> But we still don't know what this ‘window-list’ stuff is all about.  I'd
> rather have asked ‘walk-window-tree-1’ on the main window to return the
> last window it sees, but consider the following emacs -Q scenario:
>
> C-x 2
> C-x o
> M-x ibuffer
> m
> m
> D
>
> The confirmation buffer appears above the ibuffer buffer.  I doubt that
> such behavior is intentional but since I'm no ibuffer user ...

I think it shows the author preference for, if possible,
display *Ibuffer confirmation* in other window that
the one showing Ibuffer.

If the current frame just has a window showing
Ibuffer, then *Ibuffer confirmation* is shown in that
same window:

emacs -Q
M-x ibuffer RET
d d x

emacs -Q
C-x b test RET
M-x ibuffer RET
H
M-x other-frame RET
d d x

If we cannot show *Ibuffer confirmation* in the side window,
because it's not allow to split it, it's more useful to chose
another window, i.e., to follow your patch, instead of signal
an error.

Tino
--8323329-1964627426-1481064317=:1921--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25115; Package emacs. Full text available.

Message received at 25115 <at> debbugs.gnu.org:


Received: (at 25115) by debbugs.gnu.org; 6 Dec 2016 14:28:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 06 09:28:52 2016
Received: from localhost ([127.0.0.1]:57751 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cEGjk-0004x9-Hr
	for submit <at> debbugs.gnu.org; Tue, 06 Dec 2016 09:28:52 -0500
Received: from mout.gmx.net ([212.227.17.21]:51251)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cEGjh-0004wu-KC
 for 25115 <at> debbugs.gnu.org; Tue, 06 Dec 2016 09:28:50 -0500
Received: from [192.168.1.100] ([212.95.7.37]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LviG8-1ck0bV0sk0-017XnQ; Tue, 06
 Dec 2016 15:28:41 +0100
Message-ID: <5846CB0F.5010907@HIDDEN>
Date: Tue, 06 Dec 2016 15:28:31 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Tino Calancha <tino.calancha@HIDDEN>
Subject: Re: bug#25115: 26.0.50; ibuffer fails to show confirmation buffer
 when there are side windows
References: <921d3030-33fa-b1df-1fa9-d2a3e9b1c56b@HIDDEN>	<584517C7.8040604@HIDDEN>
 <d0790209-000a-ea3a-d279-f04d5b0b65d8@HIDDEN>	<58453E86.3060206@HIDDEN>
 <87shq25s7j.fsf@HIDDEN>	<584594B6.4010400@HIDDEN>
 <87bmwp5pge.fsf@HIDDEN>
In-Reply-To: <87bmwp5pge.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:l97Uaouh7ICAsMNNiQpyAbjd/s9wOVeWJRktZ5hQ1gXzbkH7nVU
 fuHW8XeV1CR+UhC3Gk6yBPW4Fy/Zq01MhLeKy6LjKbTRHUCS8cGtigWixq+TBmYwSF6wRyg
 +XW2ozK2ZMXHzvaYHzicVwgaXP+QjnnRLcIDQrECwemPcyCCUxUM3xe5jtLn4Kh5wDAwd8v
 yyA2l2BYBuPL17yqHSZFQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:vKwNM6M/X28=:muDtNnz1PxdukrJJGLD8Dz
 JyKKX7cJS9bFYuqSB4pAAiAw5aOW4Y9zbhaHtfdXL2gSPhT4YSM+E5BQsekR0o4BqCIzQ13yP
 JpC8S0rC4pGKtcGSfU4Ixnx71sB/0kXFqVLD9sGBjOgeKI2987H/hiTzsQaOFpbZCEniwnl/6
 94gioShdXpgNkaYd2/bzIlxujQrtP173EtAoBH3/X5cNAdzOiwCl1RSFvSGwDtfBuPZ3g8lSi
 NJ6CkIbDYlW4RQHKYCNkkKR5uT1nyQpFqAWiu/K/D9o68Jm0pIEBw9c719e9ZjXSVUGn6klLj
 36DHDZD1PK48pmSNB72R5/mASh8y5nlckEEnVG3IAbKLaWECGdBL0Ll7jzWOqWmTnD8uAMBUY
 T1mP8vlo+CGKRwZxdYfZ2znfgTKT5JF1WrAxIhULY8fBF7UEPwPkA580t5s4TkQIB4uBBjtzs
 F7YcpM9DWKZttq8Y1SFBkpq5bpuRdHnq+pJ+V1kBYTYf/aGplmRhbuevXpsCWcgjr4/9BReMc
 aImmAYwhz2vP2RYVmiW27us6Gpoq8JiOYlROUOFnicreSNKQYjoiDAbbyciqvEctkmmeuPkVJ
 0fF4MA8TY/JNZpgTj8pqIfSlJvWEH3aLXyKD7ognfrGWtGqB2Q8BFS+tOajyX5tOy1jaYBu5n
 ClL0yDw2xvfKA/AhA70qIgCAdakClSTVt7cIDV+nfe7ZVyLGDxMuvvWtuvz8lxjHyjMb8WhFD
 xCv5gqx/oto6O4nUFWw1ai5ezfguqi97YSgM3THqHo3Qha5hjTC0Gc8k0V+ODSN8lrdNsbMiD
 unXUms/SwnAikAauX/oTCzBY9VwKA==
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > Your patch has perfect sense to me. Indeed i wrote an almost
    identical > fix but you were faster than me. Damn. Next time I'll wait a
   day or two :-( But we still don't know what this ‘window-list’ stuff is
    all about. I'd rather have asked ‘walk-window-tree-1’ on the main window
    to return the last window it sees, but consider the following emacs -Q scenario:
    [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [212.95.7.37 listed in dnsbl.sorbs.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [212.227.17.21 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.17.21 listed in wl.mailspike.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (rudalics[at]gmx.at)
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 25115
Cc: Mark Oteiza <mvoteiza@HIDDEN>, Liu Hui <liuhui1610@HIDDEN>,
 25115 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > Your patch has perfect sense to me. Indeed i wrote an almost
    identical > fix but you were faster than me. Damn. Next time I'll wait a
   day or two :-( But we still don't know what this ‘window-list’ stuff is
    all about. I'd rather have asked ‘walk-window-tree-1’ on the main window
    to return the last window it sees, but consider the following emacs -Q scenario:
    [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [212.227.17.21 listed in list.dnswl.org]
  3.6 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [212.95.7.37 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.17.21 listed in wl.mailspike.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (rudalics[at]gmx.at)
 -0.0 SPF_PASS               SPF: sender matches SPF record

 > Your patch has perfect sense to me.  Indeed i wrote an almost identica=
l
 > fix but you were faster than me.

Damn.  Next time I'll wait a day or two :-(

But we still don't know what this =E2=80=98window-list=E2=80=99 stuff is =
all about.  I'd
rather have asked =E2=80=98walk-window-tree-1=E2=80=99 on the main window=
 to return the
last window it sees, but consider the following emacs -Q scenario:

C-x 2
C-x o
M-x ibuffer
m
m
D

The confirmation buffer appears above the ibuffer buffer.  I doubt that
such behavior is intentional but since I'm no ibuffer user ...

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25115; Package emacs. Full text available.

Message received at 25115 <at> debbugs.gnu.org:


Received: (at 25115) by debbugs.gnu.org; 6 Dec 2016 10:20:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 06 05:20:31 2016
Received: from localhost ([127.0.0.1]:57653 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cECrP-0005vF-6M
	for submit <at> debbugs.gnu.org; Tue, 06 Dec 2016 05:20:31 -0500
Received: from mail-pg0-f65.google.com ([74.125.83.65]:35418)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tino.calancha@HIDDEN>) id 1cECrN-0005v2-AI
 for 25115 <at> debbugs.gnu.org; Tue, 06 Dec 2016 05:20:29 -0500
Received: by mail-pg0-f65.google.com with SMTP id p66so19468454pga.2
 for <25115 <at> debbugs.gnu.org>; Tue, 06 Dec 2016 02:20:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=NKm8qR6wxcCN1WCQozSHkKhPdtqUIsI07rkE0zXuh5I=;
 b=xej8htNrJBejKWggC4Flo4T18ccbNeFWja0zPdsQQAyKj5tGnr3xrd1PPr4TbxjfBu
 gRmbzqIpCRUjDkEyVAwX0a34PkoCzjTRhHkMWTACmIslLW140DxCy2LaGE72t6SzuR8S
 Wq50t9tC+05dlwKlx/Xm6L1WRDgJv7tjsJE+6D7mHhblJENMf89VyTze9uDZDTYohZyA
 xj3opmgMkw8k3vnxPxgJygFq53oVc95R2fk1PjU+Sz/V04iWCwrvQRrlWpWzr3XDDiFO
 L3n9QgJV9UUDYtlx3b3YKr50/Q02kP0IDx4jxDhlluA1xdeqlCdY+dutCRXJE1ilNMUA
 Bwwg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=NKm8qR6wxcCN1WCQozSHkKhPdtqUIsI07rkE0zXuh5I=;
 b=OcBxGPbZYskSfthtLESyKsHrEkmY77jfyU8teZCtc3xB3pvkKK5N/08HjksI4W1UUJ
 yt0zvSFYr23jrM3SkQKLVrs715/mfK9yr3f8e4Ch0XAVSnmXCHQpKS68ScmXnEBCigij
 ycoRe3Ihn5OItL7+kQ0CN44Tg1JKAvLnDCN62AF5IMbutQOBxs9aL/x8B17XFofaRDkJ
 +uubETawgVPTWotcyGNiyd74iWRwQ7OSbqWCiiYJdrfv4CGpEkEtxFdS7OiWVq5F2lMt
 +hcYHDSOrprT8e+b22KK1cJnO4ZSRrRAlwdgdI5edq79rBhzcg/72vaxgWHDR1x3fqig
 c8Pg==
X-Gm-Message-State: AKaTC03QN6gwguez1JTInElvsnKgTygUiWMT/H28+jvn8yN8xklt7MwzISIBj+SN8NJAvg==
X-Received: by 10.84.215.148 with SMTP id l20mr134830844pli.120.1481019623428; 
 Tue, 06 Dec 2016 02:20:23 -0800 (PST)
Received: from calancha-pc (pl676.nas813.p-iwate.nttpc.ne.jp.
 [124.154.237.164])
 by smtp.gmail.com with ESMTPSA id t89sm33659346pfe.50.2016.12.06.02.20.21
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 06 Dec 2016 02:20:23 -0800 (PST)
From: Tino Calancha <tino.calancha@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#25115: 26.0.50;
 ibuffer fails to show confirmation buffer when there are side windows
References: <921d3030-33fa-b1df-1fa9-d2a3e9b1c56b@HIDDEN>
 <584517C7.8040604@HIDDEN> <d0790209-000a-ea3a-d279-f04d5b0b65d8@HIDDEN>
 <58453E86.3060206@HIDDEN> <87shq25s7j.fsf@HIDDEN>
 <584594B6.4010400@HIDDEN>
Date: Tue, 06 Dec 2016 19:20:17 +0900
In-Reply-To: <584594B6.4010400@HIDDEN> (martin rudalics's message of "Mon, 05
 Dec 2016 17:24:22 +0100")
Message-ID: <87bmwp5pge.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 25115
Cc: Mark Oteiza <mvoteiza@HIDDEN>, Liu Hui <liuhui1610@HIDDEN>,
 25115 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

martin rudalics <rudalics@HIDDEN> writes:

>> I don't use ibuffer often, but I have been changing instances of
>> switch-to-buffer to pop-to-buffer-same-window since reading Bug#22244.
>>
>> Makes me wonder about switch-to-buffer's future
>
> ibuffer apparently uses the last window in =E2=80=98window-list=E2=80=99 =
to show the
> buffer at the bottom of the frame, something =E2=80=98display-buffer-at-b=
ottom=E2=80=99
> should handle well.  But I'd like to hear the opinion of a long time
> user of =E2=80=98ibuffer=E2=80=99 before actually changing this.
Your patch has perfect sense to me.  Indeed i wrote an almost identical
fix but you were faster than me.

Regards,
Tino




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25115; Package emacs. Full text available.

Message received at 25115 <at> debbugs.gnu.org:


Received: (at 25115) by debbugs.gnu.org; 5 Dec 2016 16:24:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 05 11:24:40 2016
Received: from localhost ([127.0.0.1]:57138 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cDw4F-00030O-Tj
	for submit <at> debbugs.gnu.org; Mon, 05 Dec 2016 11:24:40 -0500
Received: from mout.gmx.net ([212.227.17.22]:61732)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cDw4E-00030B-OB
 for 25115 <at> debbugs.gnu.org; Mon, 05 Dec 2016 11:24:39 -0500
Received: from [192.168.1.100] ([212.95.7.117]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0M9OMc-1cOQRU27wM-00CiNM; Mon, 05
 Dec 2016 17:24:30 +0100
Message-ID: <584594B6.4010400@HIDDEN>
Date: Mon, 05 Dec 2016 17:24:22 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Mark Oteiza <mvoteiza@HIDDEN>
Subject: Re: bug#25115: 26.0.50; ibuffer fails to show confirmation buffer
 when there are side windows
References: <921d3030-33fa-b1df-1fa9-d2a3e9b1c56b@HIDDEN>	<584517C7.8040604@HIDDEN>	<d0790209-000a-ea3a-d279-f04d5b0b65d8@HIDDEN>	<58453E86.3060206@HIDDEN>
 <87shq25s7j.fsf@HIDDEN>
In-Reply-To: <87shq25s7j.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:jF1TA87PfL6wXBDrEXKCVjEZtOEfJHQlI7gJHtK8Ht3vKl9Basd
 joOqXXPymcSVEJjSzkSAlf7+M5KdY1th1u3i27sZJv2ZD5dEAd4Fz+ivEa9PsDXT8MHY/o/
 Ff4BprXLvCGMagPJVxjEycHm4/XtZXKAbNkAQloO9F5rTFnocaiNNc2qRlJcF+KM1cWlx4E
 o/m6EWZomOwKBnpeldZbw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:fK4NPstjYRg=:tVk3UN51x4OGPbOLApVh5Z
 qiadxCsQbYrRLpg72VLEwAd7h5CU0epfZuaBZlRClI7Pfe992QqPxpzzlH1i2JZlP68iSMH3I
 ysowCi+6TIh93wZqRP3Lf8vLy3HyjYjIiGLgUyQy0FWppFdF8jN5T6mQeEXd/qGhe//TI/rfA
 RQ71h/e8ghz54KU2Zz2oZmdjkjn7PgYHMuoyYJQjvVDyCR7AgNjFdX5rB47YPeVMiZ51OQLa+
 468p/s939n5FCzZbrVQ8l51cUPYhGtTXa6+KUR477344Alv435GgrV/JH/FLYaLDK4mt0duDV
 MalkwvE9oFE8vD89gsHYGVcYlhm/0zyGRenFkhp6Z6hX2nZHRAXG4G9909tSL200pezgvFi96
 W03MvzI8q/ixAy68iHYXaIK4vry4u+PD2roZITjn0fvyEh1FdhcMWB4TUgx5xd5EdEg2z/qJx
 5al1tS1tY8yea4U4TByv8oPySnEnGiVi6DFs5MnbmPmuv90YGRrDNXnFfkAWMKvmKCr9kHLmZ
 Vq/6iyiW+I+I9bE1QdODzFFa6aS9Gh7bLnzYgyz8iSrcCjDu41djcDqA1lJ8AHs0LxVzkXS6W
 RaVsbCpiWbZPsnCaj7ljuR4J6gu2fdsZnBUMArPQADWbxuVP8tuPhxB+O4B9Njkd6g8HeflZv
 lA0S0ezerS04M3kxSqvRcwK8ii4fnCkQWtWroZgGca4TPfiG3S49tRHPVVMGLVyNWaYkX2+NK
 K+ZkRuTpR7EEEdlnZWGGswjCiGVeFZniQrH+3H5ft1d3Z5ILj5YCvBmD6TbjkgCF4o8tw6RVU
 GSotlsiHRWHZ7ZRIrSXeNQsRZdpfA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 25115
Cc: Liu Hui <liuhui1610@HIDDEN>, 25115 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > I don't use ibuffer often, but I have been changing instances of
 > switch-to-buffer to pop-to-buffer-same-window since reading Bug#22244.=

 >
 > Makes me wonder about switch-to-buffer's future

This is not primarily about =E2=80=98switch-to-buffer=E2=80=99.  It's abo=
ut displaying a
list of items (file or buffer names, completions, ispell's choices, ...)
in a buffer, temporarily showing that buffer in a window and then
proceeding in reaction to user input.  =E2=80=98dired-mark-pop-up=E2=80=99=
 is a typical
function for this purpose.

ibuffer apparently uses the last window in =E2=80=98window-list=E2=80=99 =
to show the
buffer at the bottom of the frame, something =E2=80=98display-buffer-at-b=
ottom=E2=80=99
should handle well.  But I'd like to hear the opinion of a long time
user of =E2=80=98ibuffer=E2=80=99 before actually changing this.

Also, =E2=80=98ibuffer-confirm-operation-on=E2=80=99 does =E2=80=98fit-wi=
ndow-to-buffer=E2=80=99 and I'd
prefer fixing bug#25055 first before reintroducing it somewhere else ;-)

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25115; Package emacs. Full text available.

Message received at 25115 <at> debbugs.gnu.org:


Received: (at 25115) by debbugs.gnu.org; 5 Dec 2016 15:08:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 05 10:08:42 2016
Received: from localhost ([127.0.0.1]:57043 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cDusj-0001Ce-TW
	for submit <at> debbugs.gnu.org; Mon, 05 Dec 2016 10:08:42 -0500
Received: from mail-qk0-f180.google.com ([209.85.220.180]:33498)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mvoteiza@HIDDEN>) id 1cDush-0001CR-S9
 for 25115 <at> debbugs.gnu.org; Mon, 05 Dec 2016 10:08:40 -0500
Received: by mail-qk0-f180.google.com with SMTP id x190so348653860qkb.0
 for <25115 <at> debbugs.gnu.org>; Mon, 05 Dec 2016 07:08:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=udel-edu.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=FBG77fNjvK8HYUrMiI64O0e2YJWv8/q+Fokzk8rjn/8=;
 b=ILQZuG50D1sLky6sGUY66yfjva2uBZdOwa3Onrvl5vg7TI8pQuDtiTiTfvGk1AZR0t
 aw1M5kxbiEe3IEp7KzeCvgQPcr5lLSuLHgaOGrNs77cQVQubmVEycCLUa2+8fVqYmc6v
 OX2oTcwp0A78CzCkeLjDAqtyW2yWwzQf4mu/C5YGS8GCHLnIjm3EJ+qqsTrNtSiM3Q9X
 lPrlW11WDM33Jk6w2zle8Zh7zAO8ef9jRzzb2rgMJ32YrJW289VclQRXXtZZNoJPFo3J
 Q39bOy95DZLdWXHL8nNVQLy2XwzPZNW8iF2GFeG9su2CnnumQDZNH+Jy6WCm1sXe4lgC
 PJsg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=FBG77fNjvK8HYUrMiI64O0e2YJWv8/q+Fokzk8rjn/8=;
 b=NBEuu9IGuaSg39JD/NqbPBs9WAMvQMmiNlSLNR/0zNAJE6+DDn/OnBmNMOt4fQq2ux
 y4cCbf//UutE94OPz3XGhwb0+MtCp9aJdGQBH8Je5N78yfvf0D+DujEqQYzVubfDxSBC
 ze5wD6oxeLFgYPWOe6/zxHFRtaW4j762hymPH5z+eAFSCeyoIHfvPHBwmESvZH5qpRHA
 FOp8LDz7GBjboMZA6LNQ4JDQh+FrP8PZpxdD9SYyySt4Ez/y7z/88gT+y2bAFwACEkiw
 GJf9DDEPF4ksRz1+8z4epXiE7ndKgZQrrukoIJP0+WE9rRpDW11fLJOtQXtodGK5WyEW
 iuiA==
X-Gm-Message-State: AKaTC03A8k8/AAmKwb+Wy4LzRpODe+H7Wh25o1ue03QFxDrm1TwGpHaoO7QKoFrPV04wJfIY
X-Received: by 10.55.99.200 with SMTP id x191mr58768565qkb.62.1480950514179;
 Mon, 05 Dec 2016 07:08:34 -0800 (PST)
Received: from holos.localdomain ([69.250.222.218])
 by smtp.gmail.com with ESMTPSA id g97sm9572886qkh.11.2016.12.05.07.08.33
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 05 Dec 2016 07:08:33 -0800 (PST)
Received: by holos.localdomain (Postfix, from userid 1000)
 id 99B4260D63; Mon,  5 Dec 2016 10:08:32 -0500 (EST)
From: Mark Oteiza <mvoteiza@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#25115: 26.0.50;
 ibuffer fails to show confirmation buffer when there are side windows
References: <921d3030-33fa-b1df-1fa9-d2a3e9b1c56b@HIDDEN>
 <584517C7.8040604@HIDDEN>
 <d0790209-000a-ea3a-d279-f04d5b0b65d8@HIDDEN>
 <58453E86.3060206@HIDDEN>
Date: Mon, 05 Dec 2016 10:08:32 -0500
In-Reply-To: <58453E86.3060206@HIDDEN> (martin rudalics's message of "Mon, 05
 Dec 2016 11:16:38 +0100")
Message-ID: <87shq25s7j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 25115
Cc: Liu Hui <liuhui1610@HIDDEN>, 25115 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

martin rudalics <rudalics@HIDDEN> writes:

>> Steps to reproduce:
>>
>> 1. emacs -Q
>> 2. eval the following code in *scratch* to create a side window.
>> (pop-to-buffer "test"
>>                 '(display-buffer-in-side-window
>>                   (side . right)
>>                   (width . 0.2)))
>> 3. Now the side window has been created and selected. Press 'C-x o' to s=
witch to the other window in the left, which displays *scratch*.
>> 4. M-x ibuffer. Then press 'd' to mark two or more buffers for killing.
>> 5. Press 'x'. Then an error 'ibuffer-confirm-operation-on: Cannot split =
side window or parent of side window' is issued.
>
> Confirmed.  =E2=80=98ibuffer-confirm-operation-on=E2=80=99 selects the la=
st window of
> the selected frame's =E2=80=98window-list=E2=80=99 and tries to split tha=
t window.  In
> your scenario the last window is the side window and cannot be split by
> =E2=80=98split-window=E2=80=99.
>
> I pushed a fix for that on master, please have a look.
>
> But someone who's using ibuffer on a regular basis should really try to
> make it use =E2=80=98display-buffer=E2=80=99 instead.  There is absolutel=
y no evidence
> that the last window of a frame can be split more easily than the one
> used by ibuffer itself and if no window can be split some other window
> should be reused for displaying the buffer list.

I don't use ibuffer often, but I have been changing instances of
switch-to-buffer to pop-to-buffer-same-window since reading Bug#22244.

Makes me wonder about switch-to-buffer's future




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25115; Package emacs. Full text available.

Message received at 25115 <at> debbugs.gnu.org:


Received: (at 25115) by debbugs.gnu.org; 5 Dec 2016 10:16:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 05 05:16:55 2016
Received: from localhost ([127.0.0.1]:56482 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cDqKL-0005xy-Ru
	for submit <at> debbugs.gnu.org; Mon, 05 Dec 2016 05:16:55 -0500
Received: from mout.gmx.net ([212.227.17.21]:52249)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cDqKK-0005xj-2r
 for 25115 <at> debbugs.gnu.org; Mon, 05 Dec 2016 05:16:52 -0500
Received: from [192.168.1.100] ([212.95.7.23]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LpsmR-1cqjJj3wNr-00ffC6; Mon, 05
 Dec 2016 11:16:45 +0100
Message-ID: <58453E86.3060206@HIDDEN>
Date: Mon, 05 Dec 2016 11:16:38 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Liu Hui <liuhui1610@HIDDEN>
Subject: Re: bug#25115: 26.0.50; ibuffer fails to show confirmation buffer
 when there are side windows
References: <921d3030-33fa-b1df-1fa9-d2a3e9b1c56b@HIDDEN>
 <584517C7.8040604@HIDDEN> <d0790209-000a-ea3a-d279-f04d5b0b65d8@HIDDEN>
In-Reply-To: <d0790209-000a-ea3a-d279-f04d5b0b65d8@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:rWtxRIdo1L7G4k3xM0Qnul4nSQcRg6VxnAHnKAy/ka8XDNnq24S
 fG3m41RQgT4ebgZNz449VOg2xJ9XBNE9VhyySnimLIG4hgp/XXc9gduzVpb4ABy52U8BA3l
 0umkaXf7vbUJqBgyRgQOal3UuN+zEpHeI9gLvwXEZX7CPTMdCc6qSJ6LKA2yAKfsgxNVsN2
 YC7WmvePQm2POw2U96cMg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:HLUBrglfMJg=:yEw9i5FrBznCQrPN5Zx641
 aRAXRUNFZne1Yd5UX/Q6JG2E8FmhpHn5wOTqIKGjCWHbWl95w87NFlaowhWA+Meh53WM1UBM0
 f2pRiSkdR8oHNAfJQJulNA8hb63UbiaNORMMqO19/DwCFUxEYHTwyGXr1hjImwii8WfS0Bekw
 AkUUSRrEytv9BrHKF2dvinHts4hDKkRtZiWNHPJa7OA/ojrhiZMJj45CFxCzeuBywWTK/eMcs
 CLjIFcFCXbkl3L6Ea21if4V52KB6pI40v0y2DGSme2GZz94nEr1D9ZRUOi7s1EF2w897NF/by
 87HB4gchpfaGLd2eZQ/DTWKUtBOoBtjaM9gOlOtiAAtOP4v5jP6sQ/sjMOhf25td5mZNOqKfe
 LA4bvfOD4hQjkw41gMmRIwj/oXkTEp7InoL7/PM5UVXTAkA2Q1mFpHAECW+/KF3g3o6sx2+fz
 jYdr1FkRdMMIDcjTL6HsxuICKkeZuGo9/6jUr3lFluDo7L1zON8ky+RO8Vv4aBU7bgYAAHDbU
 pKUUit5s4HFTcr0NrxRJ43tqWSjL7cDjvfDZLLh7K1LRRTvPpJsxXmpZ/33qm/B0mVnX6wN1Z
 JPsu1ojXenPb8XcxBg4hVKmJYtLmaTW18MyXrIuzs4KBtyPjeGkeG0+zEoIuQL+Ov8TCttAxe
 zNjPMdgdGKCK/3LXrfTeDQhy9tqG/+MLRc5l9EQxYSwX2kpzKMEiUYEEGuFAP+N5RrHxdQJk9
 toXlRgh3/IydJbTIyDPNI6gfaBwTEpXaMvtiGFTLSeACBUTg+ll73yQrQsmgCsJkpjULMJ/aZ
 aPHD3WaXKUsF7PQpus3Ylr150kitA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 25115
Cc: 25115 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > Steps to reproduce:
 >
 > 1. emacs -Q
 > 2. eval the following code in *scratch* to create a side window.
 > (pop-to-buffer "test"
 >                 '(display-buffer-in-side-window
 >                   (side . right)
 >                   (width . 0.2)))
 > 3. Now the side window has been created and selected. Press 'C-x o' to=
 switch to the other window in the left, which displays *scratch*.
 > 4. M-x ibuffer. Then press 'd' to mark two or more buffers for killing=
=2E
 > 5. Press 'x'. Then an error 'ibuffer-confirm-operation-on: Cannot spli=
t side window or parent of side window' is issued.

Confirmed.  =E2=80=98ibuffer-confirm-operation-on=E2=80=99 selects the la=
st window of
the selected frame's =E2=80=98window-list=E2=80=99 and tries to split tha=
t window.  In
your scenario the last window is the side window and cannot be split by
=E2=80=98split-window=E2=80=99.

I pushed a fix for that on master, please have a look.

But someone who's using ibuffer on a regular basis should really try to
make it use =E2=80=98display-buffer=E2=80=99 instead.  There is absolutel=
y no evidence
that the last window of a frame can be split more easily than the one
used by ibuffer itself and if no window can be split some other window
should be reused for displaying the buffer list.

Thanks again, martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25115; Package emacs. Full text available.

Message received at 25115 <at> debbugs.gnu.org:


Received: (at 25115) by debbugs.gnu.org; 5 Dec 2016 07:31:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 05 02:31:36 2016
Received: from localhost ([127.0.0.1]:56415 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cDnkO-0000Ft-0a
	for submit <at> debbugs.gnu.org; Mon, 05 Dec 2016 02:31:36 -0500
Received: from mout.gmx.net ([212.227.17.22]:62818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1cDnkL-0000Fd-RC
 for 25115 <at> debbugs.gnu.org; Mon, 05 Dec 2016 02:31:34 -0500
Received: from [192.168.1.100] ([212.95.7.88]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MBq8p-1cLnpp430x-00AmON; Mon, 05
 Dec 2016 08:31:27 +0100
Message-ID: <584517C7.8040604@HIDDEN>
Date: Mon, 05 Dec 2016 08:31:19 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Liu Hui <liuhui1610@HIDDEN>, 25115 <at> debbugs.gnu.org
Subject: Re: bug#25115: 26.0.50; ibuffer fails to show confirmation buffer
 when there are side windows
References: <921d3030-33fa-b1df-1fa9-d2a3e9b1c56b@HIDDEN>
In-Reply-To: <921d3030-33fa-b1df-1fa9-d2a3e9b1c56b@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:KeSXxMPlnPW2GzB7drmgtU3JF3H/N/eLE4VX5oSZWyl1wu2H3mP
 KU3cWLfdDanXs4+u7jx9TfTQfQ32VtbFI+j/7GtD3k/aZgekT7c06QqXqIYVnWzVmqtFYWG
 B2OZSbo8b8y+XfqAf1T/+3qrjSF1eL1sJkQdT2CHB6IR7HUDK11t1DaDeyMhUsVbYDr6L0k
 XlF1ddry+s/6qiNe7ePvw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:0Bq7T609Zmk=:fj9a4okxlq+Z3vEqZOPdj7
 +ro3+/zmEZpHVZ1cO9Hkx9mf19GSGvEpf/xO1bbAizhCS+FVpZYjJz9i7OYy6gbmCamA86G6r
 uCtxWbIEaVds0j9+8hGuZOH0diqxC+LuBRqthAU2fNFhF4YR4Y6gVqT2NZVPwGABn3+kRTI4b
 7hLnx7Px+28Mhsk0SNt+9wVK3Bgl0/9I8WYWdYAh+4IWTDteOftr5hE09787Qa1fQQWieOmM4
 iMVmtjKsQyNPxEQrsR3AJNEH5CWiafbUDM0ze4OHWP71dVRX6jrpcROxKFxd5+UR8VBU0vtNC
 MLJGG9qeVcdf7RzELkfgPCujLteoI1N+/S6T9stJ0RV5bk6RziSa0AMjh54oSyIBz16+uiAZl
 j0FTwlAvOwKQNoUqoFB6uwQZCsMoljwwPbJifEdvyc9HwvdtmN1oa7XoTvYbWIEQKMHbHwtr0
 O05XJiJsNzupE9A1yPN5HB9M49PfYI3fh9PYJcY1U+ZO82CHpvpa2gfgWOolw8NqB/Pnt+C/p
 4AEj4E/muGfiYj6NyzTywHBADFXggxPbrnSNNn7pDRC8qVUAwQYQfzIMKeAD3ASwSK25Ez/vc
 NZkn9OD1IpPqZ1gL2fD398GO753XJpx0EDGEzi5RK1VmCHcIzLvP8dFk+npc1E4NVrQgILy91
 Svesum3hzVyZ+bX+khIKbDc/MwhmBH6UHs++mph+ZUhUUyGJlskGUTECwFs4O40aKwIknqmPu
 StTvMbVsgXnJYS0tbYIm8/2Ocb5QDCwQ5LxxcP1Zed2crwjcz6aq6x2FidQbce9et9DTPXeS9
 2IWNf7g+traXEpiVRVVaxHZGVpV+A==
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > When there are side windows, ibuffer fails to show the
 comfirmation buffer for buffers to be killed. > > 1. emacs -Q & create a side
 window by > (pop-to-buffer "test" > '(display-buffer-in-side-window > (side
 . right) > (width . 0.2))) > 2. switch to another buffer and M-x ibuffer
 > 3. press 'D', mark two or more buffers for killing > 4. press 'x' > > then
 an error 'ibuffer-confirm-operation-on: Cannot split side window or parent
 of side window' is issued. > > > In GNU Emacs 26.0.50.2 (x86_64-pc-linux-gnu, 
 GTK+ Version 3.18.9) > of 2016-12-03 built on lgw01-50 > Windowing system
 distributor 'The X.Org Foundation', version 11.0.11804000 > System Description:
 Ubuntu 16.04.1 LTS [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [212.227.17.22 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (rudalics[at]gmx.at)
 3.6 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [212.95.7.88 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.17.22 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 25115
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > When there are side windows, ibuffer fails to show the
   comfirmation buffer for buffers to be killed. > > 1. emacs -Q & create a side
    window by > (pop-to-buffer "test" > '(display-buffer-in-side-window > (side
    . right) > (width . 0.2))) > 2. switch to another buffer and M-x ibuffer
   > 3. press 'D', mark two or more buffers for killing > 4. press 'x' > > then
    an error 'ibuffer-confirm-operation-on: Cannot split side window or parent
    of side window' is issued. > > > In GNU Emacs 26.0.50.2 (x86_64-pc-linux-gnu,
    GTK+ Version 3.18.9) > of 2016-12-03 built on lgw01-50 > Windowing system
    distributor 'The X.Org Foundation', version 11.0.11804000 > System Description:
    Ubuntu 16.04.1 LTS [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.17.22 listed in wl.mailspike.net]
  3.6 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [212.95.7.88 listed in dnsbl.sorbs.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [212.227.17.22 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (rudalics[at]gmx.at)
 -0.0 SPF_PASS               SPF: sender matches SPF record

 > When there are side windows, ibuffer fails to show the comfirmation bu=
ffer for buffers to be killed.
 >
 > 1. emacs -Q & create a side window by
 > (pop-to-buffer "test"
 >                 '(display-buffer-in-side-window
 >                   (side . right)
 >                   (width . 0.2)))
 > 2. switch to another buffer and M-x ibuffer
 > 3. press 'D', mark two or more buffers for killing
 > 4. press 'x'
 >
 > then an error 'ibuffer-confirm-operation-on: Cannot split side window =
or parent of side window' is issued.
 >
 >
 > In GNU Emacs 26.0.50.2 (x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
 >   of 2016-12-03 built on lgw01-50
 > Windowing system distributor 'The X.Org Foundation', version 11.0.1180=
4000
 > System Description:    Ubuntu 16.04.1 LTS

Thanks for the report.  Since I don't use ibuffer I just tried to follow
your recipe.  In (2) I switched to *Messages* in the side window by
selecting it with the mouse from the Buffers menu.  If, after M-x
ibuffer, I now type =E2=80=98D=E2=80=99 in the side window, ibuffer promp=
ts me whether I
really want to kill *Messages* so I miserably failed to "mark two or
more buffers for killing".

If instead in (3) I repeatedly type =E2=80=98m=E2=80=99 to mark all buffe=
rs listed in
the side window and then type =E2=80=98D=E2=80=99, my main window gets sp=
lit, in the
window at the bottom I get a list of the selected buffers and in the
minibuffer I'm asked whether I really want to kill 3 buffers.  When,
instead of =E2=80=98D=E2=80=99 I type =E2=80=98x=E2=80=99, I am asked in =
the minibuffer whether I really
want to kill the buffer at the current line of the side window.

I don't understand the ibuffer code (partly because I don't understand
what an interactive Lisp closure is and how it works).  So if you can't
give me a recipe I can follow it might be best if you debug the ibuffer
code yourself to find out why and how it tries to split the side window.

Finally note that side windows are preferably populated via
=E2=80=98display-buffer=E2=80=99, so the "switch to another buffer" and "=
M-x ibuffer" in
step (2) already sound like a bad idea.

Thanks, martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25115; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Dec 2016 03:28:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 04 22:28:38 2016
Received: from localhost ([127.0.0.1]:56310 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cDjxG-0001AI-1D
	for submit <at> debbugs.gnu.org; Sun, 04 Dec 2016 22:28:38 -0500
Received: from eggs.gnu.org ([208.118.235.92]:42087)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liuhui1610@HIDDEN>) id 1cDjxE-0001A6-FM
 for submit <at> debbugs.gnu.org; Sun, 04 Dec 2016 22:28:36 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <liuhui1610@HIDDEN>) id 1cDjx8-0001xZ-G6
 for submit <at> debbugs.gnu.org; Sun, 04 Dec 2016 22:28:31 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,T_DKIM_INVALID autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:37571)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <liuhui1610@HIDDEN>)
 id 1cDjx8-0001xR-Cb
 for submit <at> debbugs.gnu.org; Sun, 04 Dec 2016 22:28:30 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33058)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <liuhui1610@HIDDEN>) id 1cDjx7-0000nC-DE
 for bug-gnu-emacs@HIDDEN; Sun, 04 Dec 2016 22:28:30 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <liuhui1610@HIDDEN>) id 1cDjx3-0001vw-FB
 for bug-gnu-emacs@HIDDEN; Sun, 04 Dec 2016 22:28:29 -0500
Received: from mail-pf0-x241.google.com ([2607:f8b0:400e:c00::241]:36856)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <liuhui1610@HIDDEN>)
 id 1cDjx3-0001vf-8g
 for bug-gnu-emacs@HIDDEN; Sun, 04 Dec 2016 22:28:25 -0500
Received: by mail-pf0-x241.google.com with SMTP id c4so16265336pfb.3
 for <bug-gnu-emacs@HIDDEN>; Sun, 04 Dec 2016 19:28:25 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=to:subject:from:message-id:date:user-agent:mime-version
 :content-transfer-encoding;
 bh=WoWda2bkKJgMlx0zq/v+LyPBQypsy9EGmwjnVANQa80=;
 b=R/1NT0Fp59mZiLQvzYL77lL6MZ+kU5/n6V4TI1oCl9OTJYIcEDbdvmbSGPyi0DVz6q
 YocQTOdnodY3Ov+lih5Xs6bpD2lteYOqHuzACBtTvgG8pf4voB7l5GZ2BYCumY4vZBqB
 2m5nF6rPssK8YRVZreJGjKHObCpOol70XkGHaaz5Bw+5Fpq0WX7uzzvbgVSsEHOu6Pj4
 FhWZ7+UkU7NVp2hpNGoyT0Y0UkMCHA5ahnWVx3CT24W4458H1SdGh6OP83DSdZeoS5Qd
 JVMcahHm/eC6T08rloxSlDvo8r8W3XGcVvLJov5onxh5DVH6iqHg80nEYBIXuL0yziTU
 YaEQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:to:subject:from:message-id:date:user-agent
 :mime-version:content-transfer-encoding;
 bh=WoWda2bkKJgMlx0zq/v+LyPBQypsy9EGmwjnVANQa80=;
 b=WhgCM1ABbwznsvQp634Q8MV6HDicBP9v3I6xXMdTuUmSIySKlSt0zqCQlqjEDQWULx
 a++GBxCgPpsTJQUG8m7zYlMXzXI4R3znckaTP0ul4Q5gZHXd7PUhmom4vJSQZxvNF798
 8sAh0fNg97uUY1qIAwG85w0Rl5ejkSjHVAl12SuF11OyKloFTtDLUku2mMCdXMrkXXNX
 t/t9WCbR6BbqQ2oQ+kyeObAvob81nigAmuYxjS5u2v2UjC7Gogt4CU0+0zTXm6BMU0be
 HsDmlYXAc86UDH9Nj0GysLhcnm4xHNpB2iwv+U9KL40gHNYJxrlOa28kQ0K9Ql65HC6D
 KlmA==
X-Gm-Message-State: AKaTC03MNcnUJLVvm/WY2WuYuUYJSAgHkWAqwvQYb4VIwstkIhsG/aPCL22nz4Nb0yxI0g==
X-Received: by 10.84.218.79 with SMTP id f15mr120227357plm.155.1480908503978; 
 Sun, 04 Dec 2016 19:28:23 -0800 (PST)
Received: from [0.0.0.0] ([188.166.240.79])
 by smtp.gmail.com with ESMTPSA id y2sm22839801pff.82.2016.12.04.19.28.21
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 04 Dec 2016 19:28:23 -0800 (PST)
To: bug-gnu-emacs@HIDDEN
Subject: 26.0.50; ibuffer fails to show confirmation buffer when there are
 side windows
From: Liu Hui <liuhui1610@HIDDEN>
Message-ID: <921d3030-33fa-b1df-1fa9-d2a3e9b1c56b@HIDDEN>
Date: Mon, 5 Dec 2016 11:28:15 +0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.4.0
MIME-Version: 1.0
Content-Type: text/plain; charset=gbk; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

Hello,

When there are side windows, ibuffer fails to show the comfirmation 
buffer for buffers to be killed.

1. emacs -Q & create a side window by
(pop-to-buffer "test"
                '(display-buffer-in-side-window
                  (side . right)
                  (width . 0.2)))
2. switch to another buffer and M-x ibuffer
3. press 'D', mark two or more buffers for killing
4. press 'x'

then an error 'ibuffer-confirm-operation-on: Cannot split side window or 
parent of side window' is issued.


In GNU Emacs 26.0.50.2 (x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
  of 2016-12-03 built on lgw01-50
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
System Description:	Ubuntu 16.04.1 LTS




Acknowledgement sent to Liu Hui <liuhui1610@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#25115; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 6 Dec 2016 23:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.